Wide Studio Object Reference

Wide Studio Home
Up to

## Class Name

WSDcolor

## Specification of methods

### getColorName Function Description

Form
  char* getColorName()
Function
  Obtain a color name
Description
Parameters
  None.
Return value
  Color name
Notice
Samples

        WSDcolor* color = WSGIappColorSet()->getColor("#ffffff");
        char* cname = color->getColorName();// Return #ffffff

### getRGB Function Description

Form
  long getRGB(long* r,long* g,long* b)
Function
  Obtain RGB values
Description
Parameters

  (out)long* r | Red (0 - 0xff)
  (out)long* g | Green (0 - 0xff)
  (out)long* b | Blue (0 - 0xff)

Return value
  WS_NO_ERR= Normal, otherwise error
Notice
Samples

        WSDcolor* color = WSGIappColorSet()->getColor("#ffffff");
        long r,g,b;
        color->getRGB(&r,&g,&b); // Return r=0xff, g=0xff, b=0xff

  ### setColorName Function Description

  Form
    long setColorName(char* cname)
  Function
    Set a color name
  Description
  Parameters

    (out)char* cname | Color name

    Please refer to getColor() method description regarding the color names
  Return value
    WS_NO_ERR= Normal, otherwise error
  Notice

          color->setColorName("#ff0000"); //Holding color information is changed with the specified one

  Document Release 3.70
  For use with Wide Studio Release 3.70, Spring 2004

  Wide Studio Home | Up to

  Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004